This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 970584 - Incorrect spring-security-acl artifact for version 2.0.8.RELEASE in Maven Central
Incorrect spring-security-acl artifact for version 2.0.8.RELEASE in Maven Cen...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: Spring (Show other bugs)
2.3.0
Unspecified Unspecified
unspecified Severity high
: ER1
: 2.3.0
Assigned To: Marek Novotny
Tomas Repel
:
Depends On:
Blocks: 967028
  Show dependency treegraph
 
Reported: 2013-06-04 08:14 EDT by Tomas Repel
Modified: 2013-07-16 07:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-16 07:06:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Repel 2013-06-04 08:14:51 EDT
Description of problem:

There is incorrect spring-security-acl artifact for version 2.0.8.RELEASE in Maven Central.

We can use the Spring Security 2.0.8.RELEASE, but this particular jar needs to be downgraded to 2.0.7.RELEASE. I did the diff between sources of spring-security-acl:2.0.7.RELEASE and spring-security-acl:2.0.8.RELEASE and there is no change at all, so this solution should be safe.

This will require modification of com.redhat.jboss.wfk.boms:spring-2.5-bom.

Related Spring Jira issue: https://jira.springsource.org/browse/SEC-2125

Version-Release number of selected component (if applicable):

WFK 2.3.0-SNAPSHOT
EAP 6.1.0
2.5.6.SEC03
Spring Security 2.0.8.RELEASE

How reproducible:

Always.

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 4 Tomas Repel 2013-06-07 07:30:22 EDT
Verified in WFK 2.3.0.ER1.

Note You need to log in before you can comment on or make changes to this bug.